Introduction

Updated March 13th 2017

NEW SITE RELEASE: PixelPin has now released login.pixelpin.io, a new site that supports OpenID Connect for authentication. It is highly recommended that you plan to upgrade from login.pixelpin.co.uk and OAuth2 since we will eventually retire the older site. More details are here

Integrating with PixelPin is easy. This page will help you get started.

The easiest way to integrate PixelPin into your website/app only takes 3 steps.

  1. Download a suitable plugin. Select one of our plugins below for a detailed guide on installation. We have plugins available for Wordpress, Magento, Joomla, Android, iOS, Codeigniter, Drupal, .NET, Python, Ruby on Rails, Zend and Other
  2. Create a developer account by signing up, signing in and choosing Add/Edit Developer Accounts on the dashboard
  3. Configure the plugin

Hints and tips

  • If you are new to all this, start with the basics before changing too many things. For instance, find an OpenID Connect plugin and ensure it works in a simple way before modifying anything specifically for PixelPin.

  • Until our code is included with 3rd party libraries, some manual changes might have to be made. Make sure you backup you files and/or database before changing your site in case something goes wrong.

  • Certain characters in the "secret" that we provide you can cause problems in some plugins. For instance secrets starting with @ will break wordpress social login. If you get a low level error with the authorization process, please delete and recreate the developer account to obtain a new secret that will have different characters in it.

  • If you get an error, make sure you copy and paste the exact text before asking for help. This will make it much easier for us to trace.

  • If you have problems with our website(s) not working, please use the Contact Page. Any general support queries or offerings of unsolicited web services or products will NOT be answered and will be marked as SPAM.

NOTE: We only support Internet Explorer 9 and above and up-to-date versions of Firefox and Chrome (which should update automatically). We will not support older browsers.